Bug 1383285 (CVE-2016-8577) - CVE-2016-8577 Qemu: 9pfs: host memory leakage in v9fs_read
Summary: CVE-2016-8577 Qemu: 9pfs: host memory leakage in v9fs_read
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8577
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1383286 1383287
Blocks: 1382469
TreeView+ depends on / blocked
 
Reported: 2016-10-10 11:09 UTC by Prasad J Pandit
Modified: 2019-09-29 13:57 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:53 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-10 11:09:58 UTC
Quick Emulator(Qemu) built with the virtio-9p back-end support is vulnerable
to a memory leakage issue. It could occur while doing a I/O read operation in
v9fs_read() routine.

A privileged user/process inside guest could use this flaw to leak host memory
resulting in Dos.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg07127.html

Comment 1 Prasad J Pandit 2016-10-10 11:10:35 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-10 11:12:37 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1383287]

Comment 3 Prasad J Pandit 2016-10-10 11:12:59 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1383286]

Comment 4 Cole Robinson 2017-01-16 18:28:36 UTC
commit e95c9a493a5a8d6f969e86c9f19f80ffe6587e19
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Mon Oct 17 14:13:58 2016 +0200

    9pfs: fix potential host memory leak in v9fs_read


Note You need to log in before you can comment on or make changes to this bug.